"use client";
import React from "react";
import { MouseMonitor } from "./MouseMonitor";
export const Popup = (props) => {
    const [mouseIn, setMouseIn] = React.useState(false);
    const { onMouseOver, popupContent, onMouseOut } = props;
    return (React.createElement("div", { className: "pop-up", onMouseOver: () => {
            setMouseIn(true);
            onMouseOver(React.createElement(MouseMonitor, { onMoveAway: () => {
                    if (mouseIn) {
                        return;
                    }
                    onMouseOut();
                }, children: popupContent, paddingX: 200, paddingY: 60 }));
        }, onMouseOut: () => {
            setMouseIn(false);
        } }, props.children));
};
//# sourceMappingURL=Popup.js.map